Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.AnnotationSummarySettings Class Reference
Inheritance diagram for FoxitPDFSDKPython2.AnnotationSummarySettings:

## Public Member Functions
def | AnnotationSummarySettings ()
| Constructor, with parameters.
def | AnnotationSummarySettings (other)
| Constructor, with another annotation summary setting object. More...
def | EnableOutputNoAnnotationPage (enable)
| Set the flag to decide whether to output information of pages which have no annotation. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | SetAnnotThumbnail (type, thumbnail)
| Set the markup annotation thumbnail used in result document to indicates the type of annotation. More...
def | SetAnnotType (type, use_all)
| Set the option to decide which type of annotations will be summarized. More...
def | SetConnectorLineColor (color)
| Set connector line color. More...
def | SetConnectorLineOpacity (opacity)
| Set connector line opacity. More...
def | SetEndPage (page_index)
| Set ending page index. More...
def | SetFileTitle (title)
| Set the file title string when location of the document needs to be outputed in result document. More...
def | SetFontSize (type)
| Set the font size type used in result document of annotation summary. More...
def | SetPageMargin (margin)
| Set the page margin used in result document. More...
def | SetPageRect (rect)
| Set the page rectangle in result document. More...
def | SetSortType (type)
| Set the option to decide to sort annotation by what. More...
def | SetStartPage (page_index)
| Set starting page index. More...
def | SetSummaryLayout (type)
| Set summary layout type. More...

## Static Public Attributes
| e_FontSizeLarge = _fsdk.AnnotationSummarySettings_e_FontSizeLarge
| If set, that means to use large font size in result document.
| e_FontSizeMedium = _fsdk.AnnotationSummarySettings_e_FontSizeMedium
| If set, that means to use medium font size in result document.
| e_FontSizeSmall = _fsdk.AnnotationSummarySettings_e_FontSizeSmall
| If set, that means to use small font size in result document.
| e_SummaryLayoutAnnotationOnly = _fsdk.AnnotationSummarySettings_e_SummaryLayoutAnnotationOnly
| If set, that means to layout annotations only.
| e_SummaryLayoutSeparatePagesWithLine = _fsdk.AnnotationSummarySettings_e_SummaryLayoutSeparatePagesWithLine
| If set, that means to layout document and annotations with connector lines on separate pages.
| e_SummaryLayoutSeparatePagesWithSequenceNumber = _fsdk.AnnotationSummarySettings_e_SummaryLayoutSeparatePagesWithSequenceNumber
| If set, that means to layout document and annotations with sequence numbers on separate pages.
| e_SummaryLayoutSinglePageWithLine = _fsdk.AnnotationSummarySettings_e_SummaryLayoutSinglePageWithLine
| If set, that means to layout document and annotations with connector lines on single pages.
| e_SummaryLayoutSinglePageWithSequenceNumber = _fsdk.AnnotationSummarySettings_e_SummaryLayoutSinglePageWithSequenceNumber
| If set, that means to layout document and annotations with sequence numbers on separate pages.
| e_TypeSortByAnnotationType = _fsdk.AnnotationSummarySettings_e_TypeSortByAnnotationType
| If set, that means to sort annotation by annotation type in result document.
| e_TypeSortByAuthor = _fsdk.AnnotationSummarySettings_e_TypeSortByAuthor
| If set, that means to sort annotation by author in result document.
| e_TypeSortByDate = _fsdk.AnnotationSummarySettings_e_TypeSortByDate
| If set, that means to sort annotation by date in result document.
| e_TypeSortByPage = _fsdk.AnnotationSummarySettings_e_TypeSortByPage
| If set, that means to sort annotation by page in result document.

## Detailed Description

This class represents settings for summarizing annotation. This would be used in class AnnotationSummary .

See also
  AnnotationSummary

## Constructor & Destructor Documentation

## ◆ AnnotationSummarySettings()

def FoxitPDFSDKPython2.AnnotationSummarySettings.AnnotationSummarySettings | ( |  | other | ) |

Constructor, with another annotation summary setting object.

Parameters

  [in] | other | Another annotation summary setting object.

## Member Function Documentation

## ◆ EnableOutputNoAnnotationPage()

def FoxitPDFSDKPython2.AnnotationSummarySettings.EnableOutputNoAnnotationPage | ( |  | enable | ) |

Set the flag to decide whether to output information of pages which have no annotation.

or a newly constructed object, if this function is not called, default value true will be used.

Parameters

  [in] | enable | A boolean value to decide whether to output information of pages which have no annotation: true means to output information of pages which have no annotation, while false means not to output information of pages which have no annotation,

Returns
  None.

## ◆ IsEmpty()

def FoxitPDFSDKPython2.AnnotationSummarySettings.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ SetAnnotThumbnail()

def FoxitPDFSDKPython2.AnnotationSummarySettings.SetAnnotThumbnail | ( |  | type,
|  |  | thumbnail
| ) |  |

Set the markup annotation thumbnail used in result document to indicates the type of annotation.

Thumbnail bitmap does not use alpha channel. So user is recommended to set a bitmap without alpha channel to be the new thumbnail. If a bitmap with alpha channel is set, the new thumbnail will use white background by default.
If not set, no thumbnail will be used for corresponding annotation type.

Parameters

  [in] | type | Annotation type to decide whose thumbnail is to be set. Please refer to values starting from FoxitPDFSDKPython2.Annot.e_Note and this should be one of these values except FoxitPDFSDKPython2.Annot.e_Link , FoxitPDFSDKPython2.Annot.e_PSInk , FoxitPDFSDKPython2.Annot.e_Sound , FoxitPDFSDKPython2.Annot.e_Movie , FoxitPDFSDKPython2.Annot.e_Widget , FoxitPDFSDKPython2.Annot.e_Screen , FoxitPDFSDKPython2.Annot.e_PrinterMark , FoxitPDFSDKPython2.Annot.e_TrapNet , FoxitPDFSDKPython2.Annot.e_Watermark , FoxitPDFSDKPython2.Annot.e_3D , FoxitPDFSDKPython2.Annot.e_Popup , FoxitPDFSDKPython2.Annot.e_Redact .
  [in] | thumbnail | A bitmap used as thumbnail for an annotation type in result document. This should be a valid bitmap. If the bitmap size is not 12*12, the bitmap will be scaled to 12*12 when being used.

Returns
  None.

## ◆ SetAnnotType()

def FoxitPDFSDKPython2.AnnotationSummarySettings.SetAnnotType | ( |  | type,
|  |  | use_all
| ) |  |

Set the option to decide which type of annotations will be summarized.

For a newly constructed object, if this function is not called to set this option, that means to summarize annotation in all supported types.

Parameters

  [in] | type | Annotation type to decide which annotations is to be summarized. Please refer to values starting from FoxitPDFSDKPython2.Annot.e_Note and this should be one of these values except FoxitPDFSDKPython2.Annot.e_Link , FoxitPDFSDKPython2.Annot.e_PSInk , FoxitPDFSDKPython2.Annot.e_Sound , FoxitPDFSDKPython2.Annot.e_Movie , FoxitPDFSDKPython2.Annot.e_Widget , FoxitPDFSDKPython2.Annot.e_Screen , FoxitPDFSDKPython2.Annot.e_PrinterMark , FoxitPDFSDKPython2.Annot.e_TrapNet , FoxitPDFSDKPython2.Annot.e_Watermark , FoxitPDFSDKPython2.Annot.e_3D , FoxitPDFSDKPython2.Annot.e_Popup , FoxitPDFSDKPython2.Annot.e_Redact .
  [in] | use_all | A boolean value to decide whether to summarize all the supported annotations in result document: true means to summarize annotations in all the supported types. In this case, parameter type would be ignored. false means to only summarize annotations specified by parameter type.

Returns
  None.

## ◆ SetConnectorLineColor()

def FoxitPDFSDKPython2.AnnotationSummarySettings.SetConnectorLineColor | ( |  | color | ) |

Set connector line color.

This option will take effect when summary layout type is set FoxitPDFSDKPython2.AnnotationSummarySettings.e_SummaryLayoutSeparatePagesWithLine or FoxitPDFSDKPython2.AnnotationSummarySettings.e_SummaryLayoutSinglePageWithLine by function by FoxitPDFSDKPython2.AnnotationSummarySettings.SetSummaryLayout . If not set, default value 0x000000 will be used.

Parameters

  [in] | color | Connector line color. Format: 0xRRGGBB.

Returns
  None.

## ◆ SetConnectorLineOpacity()

def FoxitPDFSDKPython2.AnnotationSummarySettings.SetConnectorLineOpacity | ( |  | opacity | ) |

Set connector line opacity.

This option will take effect when summary layout type is set FoxitPDFSDKPython2.AnnotationSummarySettings.e_SummaryLayoutSeparatePagesWithLine or FoxitPDFSDKPython2.AnnotationSummarySettings.e_SummaryLayoutSinglePageWithLine by function by FoxitPDFSDKPython2.AnnotationSummarySettings.SetSummaryLayout . If not set, default value 1.0 will be used.

Parameters

  [in] | opacity | Connector line opacity. Valid range: from 0.0 to 1.0. 0.0 means full transparency and 1.0 means full opaque.

Returns
  None.

## ◆ SetEndPage()

def FoxitPDFSDKPython2.AnnotationSummarySettings.SetEndPage | ( |  | page_index | ) |

Set ending page index.

For a newly constructed object, if this function is not called, default value (count-1) will be used as the ending page index. count is returned by function FoxitPDFSDKPython2.PDFDoc.GetPageCount for the PDF document whose annotations are to be summarized.

Parameters

  [in] | page_index | Page index to specify the ending page where summarizing operation ends. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython2.PDFDoc.GetPageCount for the PDF document whose annotations are to be summarized. This index will be checked when function FoxitPDFSDKPython2.AnnotationSummary.StartSummarize is called.

Returns
  None.

## ◆ SetFileTitle()

def FoxitPDFSDKPython2.AnnotationSummarySettings.SetFileTitle | ( |  | title | ) |

Set the file title string when location of the document needs to be outputed in result document.

If not set, an empty string will be used as default.

Parameters

  [in] | title | Summary title used in result document.

Returns
  None.

## ◆ SetFontSize()

def FoxitPDFSDKPython2.AnnotationSummarySettings.SetFontSize | ( |  | type | ) |

Set the font size type used in result document of annotation summary.

For a newly constructed object, if this function is not called to set this option, that means to use FoxitPDFSDKPython2.AnnotationSummarySettings.e_FontSizeMedium as the default value of this option.

Parameters

  [in] | type | Font size type used in result document of annotation summary. Please refer to values starting from FoxitPDFSDKPython2.AnnotationSummarySettings.e_FontSizeSmall and this should be one of these values.

Returns
  None.

## ◆ SetPageMargin()

def FoxitPDFSDKPython2.AnnotationSummarySettings.SetPageMargin | ( |  | margin | ) |

Set the page margin used in result document.

This value does not represent a rectangle. It just defines the left margin, bottom margin, right margin and top margin of a PDF page. If no margin value is set, Foxit PDF SDK will use a maring defined as (50.0, 50.0, 50.0, 50.0) as default.

Parameters

  [in] | margin | Page margin used in result document.

Returns
  None.

## ◆ SetPageRect()

def FoxitPDFSDKPython2.AnnotationSummarySettings.SetPageRect | ( |  | rect | ) |

Set the page rectangle in result document.

If not set, default rectangle (0.0, 0.0, 612.0, 792.0) will be used.

Parameters

  [in] | rect | Page rectangle used in result document.

Returns
  None.

## ◆ SetSortType()

def FoxitPDFSDKPython2.AnnotationSummarySettings.SetSortType | ( |  | type | ) |

Set the option to decide to sort annotation by what.

For a newly constructed object, if this function is not called to set this option, that means to use FoxitPDFSDKPython2.AnnotationSummarySettings.e_TypeSortByAnnotationType as the default value of this option.

Parameters

  [in] | type | Sorting type for summarizing annotations. Please refer to values starting from FoxitPDFSDKPython2.AnnotationSummarySettings.e_TypeSortByAuthor and this should be one of these values.

Returns
  None.

## ◆ SetStartPage()

def FoxitPDFSDKPython2.AnnotationSummarySettings.SetStartPage | ( |  | page_index | ) |

Set starting page index.

For a newly constructed object, if this function is not called, default value 0 will be used as the starting page index.

Parameters

  [in] | page_index | Page index to specify the starting page where summarizing operation starts. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython2.PDFDoc.GetPageCount for the PDF document whose annotations are to be summarized. This index will be checked when function FoxitPDFSDKPython2.AnnotationSummary.StartSummarize is called.

Returns
  None.

## ◆ SetSummaryLayout()

def FoxitPDFSDKPython2.AnnotationSummarySettings.SetSummaryLayout | ( |  | type | ) |

Set summary layout type.

For a newly constructed object, if this function is not called to set this option, that means to use FoxitPDFSDKPython2.AnnotationSummarySettings.e_SummaryLayoutSeparatePagesWithLine as the default value of this option.

Parameters

  [in] | type | Summary layout type. Please refer to values starting from FoxitPDFSDKPython2.AnnotationSummarySettings.e_SummaryLayoutSeparatePagesWithLine and this should be one of these values.

Returns
  None.